﻿using System.Windows.Controls;
using System.Linq;
using Telerik.Windows.Controls.Charting;
using System.Collections.Generic;
using System;
using Telerik.Windows.Examples.Chart.MVVM;
using System.Windows;


namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            Random rand = new Random(DateTime.Now.Millisecond);
            List<Person> studentList = new List<Person>();

            for (int i = 0; i < rand.Next(9, 12); i++)
                studentList.Add(new Person("Person" + i, rand.Next(15, 100), rand.Next(40, 100)));

            List<PersonViewModel> modelList = new List<PersonViewModel>();
            foreach (Person person in studentList)
                modelList.Add(new PersonViewModel(person));

            RadChart1.DefaultView.ChartLegend.Visibility = System.Windows.Visibility.Collapsed;
            RadChart1.DefaultSeriesDefinition = new BubbleSeriesDefinition() { BubbleSizeRelative = false };
            RadChart1.DefaultSeriesDefinition.ItemStyle = this.LayoutRoot.Resources["CustomStyle"] as Style;

            SeriesMapping seriesMapping = new SeriesMapping();
            seriesMapping.ItemMappings.Add(new ItemMapping("Person.Grade", DataPointMember.YValue));
            seriesMapping.ItemMappings.Add(new ItemMapping("Person.Name", DataPointMember.XCategory));
            seriesMapping.ItemMappings.Add(new ItemMapping("Person.BubbleSize", DataPointMember.BubbleSize));

            RadChart1.SeriesMappings.Add(seriesMapping);
            RadChart1.ItemsSource = modelList;
        }
    }
}
