﻿using System.ComponentModel;
using System.Windows.Media;

namespace Telerik.Windows.Examples.Chart.MVVM
{
	public class Person : INotifyPropertyChanged
	{
		private double grade;
		private string _name;
        private double bubbleSize;

		public string Name
		{
			get
			{
				return _name;
			}
			private set
			{
				_name = value;
			}
		}

		public double Grade
		{
			get
			{
				return this.grade;
			}
			set
			{
				this.grade = value;
				this.OnPropertyChanged("Grade");
			}
		}

        public double BubbleSize
        {
            get
            {
                return this.bubbleSize;
            }
            set
            {
                this.bubbleSize = value;
                this.OnPropertyChanged("BubbleSize");
            }
        }

		public Person(string name, double grade, double bubbleSize)
		{
			Name = name;
			Grade = grade;
            BubbleSize = bubbleSize;
		}

		public event PropertyChangedEventHandler PropertyChanged;

		protected virtual void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
		}
	}
}
